OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpTimer.Scheduler

    java.lang.Object
      org.opennms.protocols.snmp.SnmpTimer.Scheduler

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SnmpTimer

private class SnmpTimer.Scheduler
extends java.lang.Object
implements java.lang.Runnable

This object is the thread of execution that monitors and executes the scheduled runnables.

Constructor Summary
`private` `SnmpTimer.Scheduler()`

Method Summary
`void` `run()` Runs in an infinite loop waiting for new runnables to expire or for the m_exit variable to be set true.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnmpTimer.Scheduler

    private SnmpTimer.Scheduler()

Method Detail

### run

    public void run()

  Runs in an infinite loop waiting for new runnables to expire or for the m_exit variable to be set true. The m_sync in the parent class is used to synchronize this method

  Specified by:
    `run` in interface `java.lang.Runnable`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.